## org.apache.lucene.search
Class QueryWrapperFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.QueryWrapperFilter

All Implemented Interfaces:
  java.io.Serializable

    public class QueryWrapperFilter

extends Filter

Constrains search results to only match those which also match a provided query.

This could be used, for example, with a `TermRangeQuery` on a suitably formatted date field to implement date filtering. One could re-use a single QueryFilter that matches, e.g., only documents modified within the last week. The QueryFilter and TermRangeQuery would only need to be reconstructed once per day.

Version:
  $Id:$
See Also:
  Serialized Form

Constructor Summary
`QueryWrapperFilter(Query query)` Constructs a filter which only matches documents matching `query`.

Method Summary
`java.util.BitSet` `bits(IndexReader reader)` Deprecated. Use `getDocIdSet(IndexReader)` instead.
`boolean` `equals(java.lang.Object o)`
`DocIdSet` `getDocIdSet(IndexReader reader)` Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryWrapperFilter

    public QueryWrapperFilter(Query query)

  Constructs a filter which only matches documents matching `query`.

Method Detail

### bits

    public java.util.BitSet bits(IndexReader reader)
                          throws java.io.IOException

  Deprecated. Use `getDocIdSet(IndexReader)` instead.

  Overrides:
    `bits` in class `Filter`
  Returns:
    A BitSet with true for documents which should be permitted in search results, and false for those that should not.

    NOTE: See `Filter.getDocIdSet(IndexReader)` for handling of multi-segment indexes (which applies to this method as well).

  Throws:
    `java.io.IOException`

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws java.io.IOException

  Description copied from class: `Filter`
  Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

  Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

  Overrides:
    `getDocIdSet` in class `Filter`
  Parameters:
    `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
  Throws:
    `java.io.IOException`
  See Also:
    `DocIdBitSet`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.